<?PHP
include('header.php'); 
echo "<span class='top-bl-s-verh'>Конкурсы для рефералов</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Здесь находяться конкурсы для ваших рефералов. Вы можете видеть статистику и призовые места.
</td></tr>
</table>";
$id_user = intval($_SESSION["iduser"]);
$sql = mysql_query("SELECT * FROM `b_ref_comp` WHERE `id_user`='$id_user' AND `status`='1' AND `start_comp`<='".time()."'") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
while($row = mysql_fetch_assoc($sql)){
$min_count = $row["min_count"];
$tup = $row["type"];
$limit = $row["count_us"];
for($i=1;$i<=$limit;$i++){
$priz[$i] = $row["priz".$i];
}
switch($row["type"]){
case 1: $type_comp = "Конкурс кликов";break;
case 2: $type_comp = "Конкурс рефералов";break;
case 3: $type_comp = "Конкурс заданий";break;
case 4: $type_comp = "Общий конкурс";break;
}
echo "<table class='profile' cellspacing='0' cellpadding='0' border='0' width='100%' style='margin-bottom:0;'>";
echo "<thead>";
echo "<th colspan='5'><b>$type_comp</b> (с ".date("d-m-y", $row["start_comp"])."г. по ".date("d-m-y", $row["end_comp"])."г. включительно)</th>";
echo "</thead>";
echo "<tbody>
<tr><td colspan='5' class='value1'>
";
if($tup == 1){
echo "Учитываются все клики совершённые в разделе сёрфинг!<br /><br />";
}elseif($tup == 2){
echo "Учитываются рефералы которых приглосили на проект ваши рефералы 1-го уровня.<br /><br />";
}elseif($tup == 3){
echo "Выполняйте задания и получайте призы. Учитываются только оплаченые задания!<br /><br />";
}elseif($tup == 4){
echo "В общем конкурсе учитываются все клики, задания письма и тесты, а так же регистрация рефералов. Не учитывается фото-охота.<br /><br />";
}
echo "Минимум для участия: ".$min_count." балл.</td></tr>";
$sql_d = mysql_query("SELECT `id_user`, COUNT(count) AS `cnt` FROM `b_ref_comp_data` WHERE `id_comp`='".$row["id"]."' AND `id_user`<>'".$row["id_user"]."' GROUP BY `id_user` ORDER BY `cnt` DESC, `id` ASC LIMIT 10") or die(mysql_error());
if(mysql_num_rows($sql_d) > 0){
echo "<tr><td style='text-align:center;padding:5px;'>Место</td><td style='text-align:center;padding:5px;'>Логин</td><td style='text-align:center;padding:5px;'>Количество</td><td style='text-align:center;padding:5px;'>Приз</td><td style='text-align:center;padding:5px;'>Статус</td></tr>";
$cnt = 0;
while($row_d = mysql_fetch_assoc($sql_d)){
$cnt++;
if($row_d["cnt"] >= $min_count){ $status = "<span style='color:#24A03D;'>Участвует</span>"; }else{ $status = "<span style='color:#A02424;'>Меньше минимума</span>"; }
echo "<tr><td style='text-align:center;padding:5px;'>";
echo $cnt;
echo "</td><td style='text-align:center;padding:5px;'><a style='text-decoration:none;' href='/users-".$row_d["id_user"]."-wall.html' target='_blank' title='Перейти на стену реферала'>";
echo get_us_name($row_d["id_user"]);
echo "</a></td><td style='text-align:center;padding:5px;'>";
echo $row_d["cnt"]." балл.";
echo "</td><td style='text-align:center;padding:5px;'>";
echo $priz[$cnt]." ".$sitevalname;
echo "</td><td style='text-align:center;padding:5px;'>";
echo "$status";
echo "</td></tr>";
}
}else{
echo "<tr><td colspan='5' style='text-align:center;padding:5px;'>Учасников нет</td></tr>";
}
echo "</tbody>";
echo "</table><br />";
}
echo "</div>";
}else{
echo $infsterr."<br/><span class='taskquestion'><center>
Активных конкурсов нет</center></span>".$infederr;;
}
?><?PHP include('footer.php');?>